[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScrollingWinControl.Create

Constructor for the class instance.

## Declaration

Source position: forms.pp line 198

`public constructor TScrollingWinControl.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited method on entry. It allocates resources needed for the VertScrollBar and HorzScrollBar properties, sets the default value in AutoScroll to False, and sets the initial bounds for the class instance.

## See also

TScrollingWinControl.VertScrollBar |  | The vertical scroll bar for the control.
TScrollingWinControl.HorzScrollBar |  | The horizontal scroll bar for the control.
TScrollingWinControl.AutoScroll |  | Indicates whether scroll bars are automatically displayed or hidden when needed.